#include "config.h"

// because when we include
// internal.h below, it brings in
// gaim's config.h wich conflicts with these.
#undef PACKAGE_TARNAME
#undef PACKAGE_VERSION
#undef PACKAGE_BUGREPORT
#undef PACKAGE_NAME
#undef PACKAGE_STRING


#ifdef GAIM_82

#include "gtkgaim.h"
#include "internal.h"
#include "gtkdialogs.h"

#else
#include "ui.h"
#include "gtkinternal.h"
#endif

#include "debug.h"
#include "prefs.h"
#include "signals.h"
#include "gtkplugin.h"
#include "gtkutils.h"
#include "notify.h"
#include "gtkprefs.h"
#include "stdlib.h"
#include "stdio.h"
#include "strings.h"
	
#define GASST_PLUGIN_ID "gtk-uberlinuxguy-gaim-assistant"
#define GASST_VERSION GAIM_ASSISTANT_VERSION
// the number of messages to send 
// per every 10 seconds so we
// don't get rate limited on the server
#define GASST_MSG_RATE 5
#define GASST_WEBSERVER "gaim-assistant.sourceforge.net"
#define GAIM_WEBSERVER "gaim.sourceforge.net"
#define GASST_SITE "http://gaim-assistant.tulg.org"
#define GASST_EMAIL "Jason Williams <gaim_assistant@tulg.org>"
#define USER_RESPONSE_STR "<a href='%s'>Gaim Assistant</a> has forwarded your message to %s's secondary account%s because they are away."

GSList *gasst_queue;
GaimPlugin *my_plugin;
