Summary: Provides a variety of things to have your Gaim account do for you.
Name: gaim-assistant
Version: 0.1.0
Release: 1
Vendor: Project-Lace.org
License: GPL
Group: Applications/Communications
Source: %{name}-%{version}.tar.bz2
BuildRoot: /var/tmp/%{name}-root
Requires: gaim >= 0.82
BuildRequires: gaim

%description
GAIM Assistant is a plugin to GAIM that will allow you to forward messages
to a different screen name should you become away. It's quite handy for 
those of you out there that use AIM over mobile devices as well as at home.

%prep
%setup -q

%build
./configure --prefix=$RPM_BUILD_ROOT/usr
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

%pre

%post

%preun

%postun

%files 
%defattr(-,root,root)
/usr/lib/gaim/gaim-assistant.so

%changelog
* Fri Dec 31 2004 Jason Williams <gaim_assistant@tulg.org>
- Applied a fix so that SMS notation (+15555555555) will work
- Add an option to not do the online check for the destination
  screen name.
- Updated the prefs code and fixed a typo. It auto recognizes
  and fixes your prefs if you are using the wrong one.

* Wed Dec 22 2004 Jason Williams <gaim_assistant@tulg.org>
- Added NSIS installer script file.
- Fixed a check in the im_recv_im function to hopefully fix a bug
  with away status and Jabber.
- Added a plugin action to the Tools->Plugin Actions menu for quick
  enable and disable of forwarding.
- Updated the PLUGIN_ID to match the naming convention mentioned on
  Gaim's site.
- Updated email address in the Info stuff.
 
* Sun Dec 05 2004 Jason Williams <gaim_assistant@project-lace.org>
- Completely redid the build system. (Works in Eclipse, which I now develop it in.)
- Separated parts into separate .c and .h files.
- Added the Origin Screen name to deal with the ICQ problem
  The Origin Screen Name field is the account to send from when sending
  to the forwarded screen name.  If that account is not online at the time,
  it will default to the account of the incoming message.
  

* Fri Oct 01 2004 Jason Williams <gaim_assistant@project-lace.org>
- Took out some un-needed includes that were for some reason
  in there for X
- Fixed up the source to compile for the new Windows Build.

* Sun Sep 26 2004 Jason Williams <gaim_assistant@project-lace.org>
- fix to make it work with Gaim 1.0.0

* Thu Aug 26 2004 Jason Williams <gaim_assistant@project-lace.org>
- Applied patch for Gaim 0.82 from Caleb Gilmour

* Wed Jul 21 2004 Jason Williams <gaim_assistant@project-lace.org>
- Initial spec file write
